#!/usr/bin/env ruby
# ex:ts=8
# vim:sts=4:sw=4:tw=120
require './lagopus'

include Lagopus
include Fox

application = FXApp.new("Hello", "FoxTest")
application.init(ARGV)
main = lgMainWindow(:app => application, :name => "Hello") {
    lgHorizontalFrame {
	lgButton :text => "&Hello, World!",
	    lg_sel => proc {
		print "Hello world got hit!\n"
	    }
	lgButton :text => "&Goodbye, World!", :tgt => application, :sel => FXApp::ID_QUIT
    }
}
application.create()
main.show(PLACEMENT_SCREEN)
application.run()
